%global sfcompat bash
%global sfinc %{_datadir}/shellfu/include-%{sfcompat}
%global sfmodn jat
%global shellfu_req shellfu >= 0.10.40, shellfu < 0.11.0

Name:           shellfu-bash-jat
Version:        0.2.12
Release:        1%{?dist}
Summary:        JaT - Just A Testing library
URL:            https://gitlab.com/vornet/jats/shellfu-bash-jat
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %shellfu_req
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  shellfu-%{sfcompat}
BuildRequires:  shellfu-bash-jats
BuildRequires:  shellfu-bash-pretty
BuildRequires:  shellfu-bash-sfpi
BuildRequires:  shellfu-sh-isa
BuildRequires:  shellfu-sh-termcolors
BuildRequires:  tar

Requires: %shellfu_req
Requires: perl
Requires: shellfu-%{sfcompat}
Requires: shellfu-bash-arr
Requires: shellfu-bash-bkrh
Requires: shellfu-bash-jats
Requires: shellfu-bash-pretty
Requires: shellfu-bash-sfpi
Requires: shellfu-sh-isa
Requires: shellfu-sh-termcolors
Requires: tar
%description
Just A Testing library

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
test -d utils/tfkit || exit 0
make test \
    SHELLFU_PATH=%{buildroot}/%{sfinc}

%files
%doc %{_docdir}/%{name}/README.md
%{sfinc}/%{sfmodn}.sh
%{sfinc}/%{sfmodn}_dump.sh
%{sfinc}/_jat_core.sh
%{sfinc}/_jat_ctxp_foo.sh
%{sfinc}/_jat_ctxp_none.sh
%{sfinc}/_jath.sh
%{sfinc}/_jathp_bkr.sh
%{sfinc}/_jathp_none.sh
%{sfinc}/_jathp_warn.sh
%{sfinc}/jat_ctx.sh


%changelog

# specfile built with MKit 0.0.53
